/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomDatabase_H___INT_
#define __GdomDatabase_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "Database.h"
namespace WebCore {
    gpointer toGDOM(Database* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMDatabase : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_DATABASE; }
    GDOMDatabase(PassRefPtr<WebCore::Database> impl);
    virtual ~GDOMDatabase();
    WebCore::Database* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::Database> m_impl;
};
G_END_DECLS

#endif /* __GdomDatabase_H___INT_*/
